Package org.springframework.security.web.server.authentication

# Class WebFilterChainServerAuthenticationSuccessHandler

java.lang.Object
org.springframework.security.web.server.authentication.WebFilterChainServerAuthenticationSuccessHandler

All Implemented Interfaces:
  `ServerAuthenticationSuccessHandler`

public class WebFilterChainServerAuthenticationSuccessHandler extends Object implements ServerAuthenticationSuccessHandler
Success handler that continues the filter chain after authentication success.

Since:
  5.0

## Constructor Summary

Constructors
Constructor
Description
`WebFilterChainServerAuthenticationSuccessHandler()`

## Method Summary

Modifier and Type
Method
Description
`reactor.core.publisher.Mono<Void>`
`onAuthenticationSuccess(WebFilterExchange webFilterExchange, org.springframework.security.core.Authentication authentication)`
Invoked when the application authenticates successfully

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WebFilterChainServerAuthenticationSuccessHandler

public WebFilterChainServerAuthenticationSuccessHandler()

## Method Details

### onAuthenticationSuccess

public reactor.core.publisher.Mono<Void> onAuthenticationSuccess(WebFilterExchange webFilterExchange, org.springframework.security.core.Authentication authentication)
Description copied from interface: `ServerAuthenticationSuccessHandler`
Invoked when the application authenticates successfully

Specified by:
  `onAuthenticationSuccess` in interface `ServerAuthenticationSuccessHandler`
Parameters:
  `webFilterExchange` - the exchange
  `authentication` - the `Authentication`
Returns:
  a completion notification (success or error)